import * as React from "react";
import { Primitive } from "@radix-ui/react-primitive";
import * as Polymorphic from "@radix-ui/react-polymorphic";
import { RovingFocusGroup } from "@radix-ui/react-roving-focus";
declare const RADIO_DEFAULT_TAG = "button";
type InputDOMProps = React.ComponentProps<'input'>;
type RadioOwnProps = Polymorphic.Merge<Polymorphic.OwnProps<typeof Primitive>, {
    checked?: boolean;
    defaultChecked?: boolean;
    required?: InputDOMProps['required'];
    onCheckedChange?: InputDOMProps['onChange'];
}>;
type RadioPrimitive = Polymorphic.ForwardRefComponent<typeof RADIO_DEFAULT_TAG, RadioOwnProps>;
declare const Radio: RadioPrimitive;
declare const RADIO_GROUP_DEFAULT_TAG = "div";
type RadioGroupOwnProps = Polymorphic.Merge<Omit<Polymorphic.OwnProps<typeof RovingFocusGroup>, 'currentTabStopId' | 'defaultCurrentTabStopId' | 'onCurrentTabStopIdChange' | 'onEntryFocus'>, {
    name?: string;
    value?: string;
    defaultValue?: string;
    required?: React.ComponentProps<typeof Radio>['required'];
    onValueChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
}>;
export type RadioGroupPrimitive = Polymorphic.ForwardRefComponent<typeof RADIO_GROUP_DEFAULT_TAG, RadioGroupOwnProps>;
export const RadioGroup: RadioGroupPrimitive;
type RadioGroupItemOwnProps = Polymorphic.Merge<Polymorphic.OwnProps<typeof Radio>, {
    value: string;
    name?: never;
}>;
export type RadioGroupItemPrimitive = Polymorphic.ForwardRefComponent<Polymorphic.IntrinsicElement<typeof Radio>, RadioGroupItemOwnProps>;
export const RadioGroupItem: RadioGroupItemPrimitive;
export const RadioGroupIndicator: import("@radix-ui/react-primitive").ExtendedPrimitive<import("Radio").RadioIndicatorPrimitive, "span">;
export const Root: RadioGroupPrimitive;
export const Item: RadioGroupItemPrimitive;
export const Indicator: import("@radix-ui/react-primitive").ExtendedPrimitive<import("Radio").RadioIndicatorPrimitive, "span">;

//# sourceMappingURL=index.d.ts.map
